Bug 45664 - Calc can't export the cells formulas to CSV (only the cells values)
Summary: Calc can't export the cells formulas to CSV (only the cells values)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:3.6.0
Keywords: difficultyInteresting, easyHack, skillCpp, topicUI
Depends on:
Blocks:
 
Reported: 2012-02-05 18:39 UTC by fgallaire
Modified: 2015-12-16 00:38 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fgallaire 2012-02-05 18:39:19 UTC
When you export a spreadsheet to CSV format, you can have the computed values of the cells, but not the formulas of the cells.
Add a checkbox to the export filter configuration panel could easily solve this problem.
Eike Rathke seemed to agree with that in a discussion with me at FOSDEM 2012.
Comment 1 Carl Chenet 2012-03-04 13:52:13 UTC
Seems to me a really good idea. I'm not aware of something like that implemented anywhere.
Comment 2 Eike Rathke 2012-04-04 15:15:09 UTC
Note that you can check Tools->Options->Calc->View Display Formulas, if that is enabled formulas are written to CSV instead of results.

If someone is interested in the EasyHack to implement the check box mentioned: dialog is in sc/source/ui/dbgui/scuiimoptdlg.cxx
If checked, a parameter needs to be passed down to ScDocShell::AsciiSave() to force the bShowFormulas in there. Implement transport of option parameter via ScImportOptions similar to bSaveAsShown.
Comment 3 Not Assigned 2012-04-25 05:22:59 UTC
Florent Gallaire committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c041db6f59888adc90ee8257eafe150d874c46c9

fdo#45664 EasyHack: Add a "Save cell formulas" checkbox to the CSV Export panel.
Comment 4 Not Assigned 2012-04-25 05:23:24 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cceb8a900cd1fe1ae9bdb0c2e532e82a1835861

changes to fdo#45664 EasyHack
Comment 5 Robinson Tryon (qubit) 2015-12-16 00:38:00 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyInteresting,SkillCpp,TopicUI )
[NinjaEdit]